Bug 503786 - virt-manager refuses to increase guest memory until max memory change is first applied
virt-manager refuses to increase guest memory until max memory change is firs...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11VirtTarget
  Show dependency treegraph
 
Reported: 2009-06-02 13:48 EDT by Eric Paris
Modified: 2009-10-07 08:26 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-07 08:26:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Paris 2009-06-02 13:48:54 EDT
virt-manager-0.7.0-5.fc11.x86_64
libvirt-0.6.2-11.fc11.x86_64
qemu-kvm-tools-0.10.4-5.fc11.x86_64.rpm

This is a UI pain.  Open v-m-m and open a system.
Go to details.
Select "Memory"
Click in the "Maximum Allocation" box
type in a larger number
Click in the "Change Allocation" box
type in the same larger number
click outside the change allocation box, hit tab, really anything, watch your choice of 'Change Allocation" fail.

Ways to make it work include using the 'up/down' arrows next to the 'Maximum Allocation' clicking apply between the changes, things of that nature.  But really tabbing or clicking outside the 'Maximum Allocation' box should allow you to make changes in 'Change Allocation'

It's also a bit of a PITA that "Change Allocation" is before "Maximum Allocation" so turning things up requires using 'shift tab' to get back to the first one after you've changed the max.  Seems that a max-first interface would be a bit easier to use....
Comment 1 Mark McLoughlin 2009-06-05 06:29:07 EDT
Yeah, this is pretty annoying alright
Comment 2 Bug Zapper 2009-06-09 12:59:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Cole Robinson 2009-06-16 21:30:08 EDT
Okay, I've tried to improve the situation upstream:

http://hg.et.redhat.com/cgi-bin/hg-virt.cgi/applications/virt-manager--devel/rev/e0181a9941d0

There's basically a role reversal: max mem can't go lower than the current mem value, but current mem can do whatever it wants, and max mem will catch up. Manually entering values should be improved as well.

Moving to POST.
Comment 4 Fedora Update System 2009-09-18 11:45:17 EDT
virt-manager-0.7.0-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/virt-manager-0.7.0-6.fc11?_csrf_token=8d215225cd9b1943cd947603a037c8db9ad28548
Comment 5 Fedora Update System 2009-09-24 01:18:01 EDT
virt-manager-0.7.0-6.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update virt-manager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9871
Comment 6 Cole Robinson 2009-10-07 08:26:54 EDT
This should be fixed by virt-manager-0.7.0-7.fc11 now in stable. Closing.

Note You need to log in before you can comment on or make changes to this bug.